<h2 class="ion-text-center">
  <ion-text color="dark" *ngIf="id == null">Create a field</ion-text>
  <ion-text color="dark" *ngIf="id != null">Update a field</ion-text>
</h2>
<ion-grid>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label position="floating" color="light">Name of field</ion-label>
        <ion-input [(ngModel)]="name" type="text"></ion-input>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label color="light" position="floating">Type of crop</ion-label>
        <ion-select [(ngModel)]="crop" value="Strawberry" okText="Okay" cancelText="Dismiss">
          <ion-select-option value="Wheat">Wheat</ion-select-option>
          <ion-select-option value="Broccoli">Broccoli</ion-select-option>
          <ion-select-option value="Strawberry">Strawberry</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label position="floating" color="light">Area of field</ion-label>
        <ion-input [(ngModel)]="area" type="number"></ion-input>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row *ngIf="err != null">
    <ion-col>
      <ion-text color="danger">{{err}}</ion-text>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col class="ion-text-center">
      <ion-button id="create-field-button" color="success" (click)="create()">
        <ion-text *ngIf="id == null">Create</ion-text>
        <ion-text *ngIf="id != null">Update</ion-text>
      </ion-button>
    </ion-col>
  </ion-row>
</ion-grid>